Skip to main content
GET
/
api
/
v1
/
custom_pipelines
List Custom Pipelines
import requests

url = "https://www.datalab.to/api/v1/custom_pipelines"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
{
  "pipelines": [
    {
      "processor_id": "<string>",
      "status": "<string>",
      "created_at": "<string>",
      "name": "<string>",
      "request_description": "<string>",
      "success": true,
      "completed_at": "<string>",
      "error_message": "<string>",
      "active_version": 0,
      "max_version": 0,
      "iteration_in_progress": false,
      "is_template": false,
      "eval_rubric_id": 123,
      "pipeline_id": "<string>"
    }
  ]
}

Authorizations

X-API-Key
string
header
required

Cookies

wos-session
string
datalab_active_team
string

Response

Successful Response

Response schema for listing all custom processors.

pipelines
ProcessorListItem · object[]

List of custom processors